Deploy LiquidThreads extension when ready (tracking)
Closed, DeclinedPublic

Assigned To
None
Priority
Low
Author
brion
Blocks
T4007: Tracking bug (tracking)
Blocked By
T39778: Enable LiquidThreads on fi.wikimedia.org
T31114: Enable LiquidThreads extension on zh.wikipedia.org
T27761: Enable LiquidThreads on sv.wiktionary
T30848: Addition of LiquidThreads for Odia (Oriya) Wikipedia
T27609: Enable liquidthreads for the Wikimedia Brasil wiki
T27435: Enable LiquidThreads extension on fr.wikipedia.org
T23956: Please enable LiquidThreads on en.Wikinews (Comments: Namespace)
T25417: Enable LiquidThreads extension on en.wiktionary.org
T35635: Liquid Thread activation on meta
T27121: Add Extension:LiquidThreads on ru.wikiversity
T25220: LiquidThreads on sv.wikisource
T27019: Enable LiquidThreads extension on tr.wikinews
T26971: Enable LiquidThreads extension on pt.wikipedia.org
T22118: Deploy LiquidThreads on strategy.wikimedia.org and usability.wikimedia.org
T31759: Enable LiquidThreads on Hindi Wikipedia
T24909: Enable LiquidThreads opt-in on Hungarian Wikipedia
T29937: Enable LiquidThreads on the Hebrew Wikinews
T26616: Please enable LiquidThreads on cs.wikipedia
T21388: Alert the user if he receive a reply anywhere in the discussion pages
T26377: Enable LiquidThreads on the Swedish local chapter wiki
T27988: Enable LiquidThreads on sv.wikipedia.org
T27970: Enable LiquidThreads for Swedish Wikiversity
T26143: Enable LiquidThreads extension on pt.wikibooks.org
T27852: Please Add LiquidThreads Extension to fawikinews
Subscribers
brion, siebrand, Nemo_bis and 12 others
Projects
Tokens
"Like" token, awarded by Kozuch.
Reference
bz19699
Description

To be determined... ;)


Version: unspecified
Severity: enhancement

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz19699.
brion created this task.Via LegacyJul 13 2009, 6:35 PM
Peachey88 added a comment.Via ConduitAug 9 2010, 2:57 PM

Turning this into a mini tracking buglet.


Adding andrew to cc
Adding blockers
Adding keyword

werdna added a comment.Via ConduitAug 17 2010, 11:03 AM

Now ready to deploy to smaller sites, on the condition that the namespaces are localised.

RobLa-WMF added a comment.Via ConduitDec 31 2010, 8:57 PM

Brandon and Andrew, is it still appropriate to ask Ops to get through this backlog, or do you prefer they hold off until the next version of LQT?

Jorm added a comment.Via ConduitDec 31 2010, 9:07 PM

I'd prefer to hold off.

bzimport added a comment.Via ConduitJan 16 2011, 9:48 PM

lars wrote:

"Next version", what does that mean? Should a new dependency be recorded? Swedish Wiktionary (bug 25761) has now waited 2 months. How many man-hours does the activation take for one site? Why is that part complicated?

Catrope added a comment.Via ConduitJan 21 2011, 3:42 AM

(In reply to comment #5)

"Next version", what does that mean? Should a new dependency be recorded?
Swedish Wiktionary (bug 25761) has now waited 2 months. How many man-hours does
the activation take for one site? Why is that part complicated?

Activation takes less than one man-hour, that's not the problem. I think Brandon wants to hold off because significant parts of LQT are being refactored and redesigned in the coming weeks/months.

Kozuch added a comment.Via ConduitJan 21 2011, 7:05 AM

(In reply to comment #6)

Brandon wants to hold off because significant parts of LQT are being refactored
and redesigned in the coming weeks/months.

We will get nowhere if we try do deploy some kind of "perfect" software.

Jorm added a comment.Via ConduitJan 21 2011, 8:04 AM

I am not willing to deploy to other wikis with the current version of the software. There will be a new version within the next several weeks.

Note that my opinion means doodley-squat with this. I have no authority to hold up deployments. I am, however, saying that *if you wait for just a little bit* then what we deploy will be *significantly better*.

So take that for what it is.

bzimport added a comment.Via ConduitJan 21 2011, 5:36 PM

lars wrote:

(In reply to comment #8)

I am, however, saying that *if you wait for just a little
bit* then what we deploy will be *significantly better*.

Swedish Wikisource already uses LQT and is perfectly happy,
even though it took 4 months between request and activation.
If the software is improved, I assume this would take effect
there too. So what's the problem to activate the current
version on Swedish Wiktionary? If it takes one man-hour,
the WMF should be happy to pay for this. We have spent far
more than one man-hour establishing community consensus
and debating these bug reports.

werdna added a comment.Via ConduitJan 21 2011, 7:49 PM

Hi all,

I've been thinking about this and having discussions with Erik, Alolita and others.

As you know, LiquidThreads is undergoing major re-engineering, including updates to both the architecture and the user interface (documentation is being uploaded to MediaWiki.org as it is finished). You can find full details of this project at MediaWiki.org. [1] Having the old version of LiquidThreads in production adds complexity to the migration process that will occur once re-engineering is complete. It also means that engineering time would need to be spent supporting and maintaining the older version. This would distract from the development work that is currently in progress on LiquidThreads. Being the lead developer for LiquidThreads, my priority remains to focus on the re-engineering work that we are doing, so that we can start piloting the new version as soon as possible (hopefully by the end of March).

Accordingly, it is our decision that further pilot deployment of LiquidThreads instances is placed on hold for the time being. LiquidThreads re-engineering will hopefully be finished in two to three months, and at that point we will be very pleased to roll out pilots to additional wikis.

Thanks for your understanding,
Andrew

[1] http://www.mediawiki.org/wiki/Extension:LiquidThreads/Q1_2011_re-engineering

hashar added a comment.Via ConduitJan 26 2011, 7:16 PM

Andrew, do you know if LQT will be deployed across all projects? If so, I will close all pending requests in bugzilla (pointing to this bug).

werdna added a comment.Via ConduitJan 26 2011, 7:18 PM

(In reply to comment #11)

Andrew, do you know if LQT will be deployed across all projects? If so, I will
close all pending requests in bugzilla (pointing to this bug).

Ashar,

My understanding of the plan is that we will be deploying pilots on various projects (on an opt-in basis) before a global deployment. So the bugs can remain open for the time being. When we're ready to deploy, we can check with those communities that they still want to be a part of our pilot, and proceed with deployments.

Thanks,

Andrew

bzimport added a comment.Via ConduitJan 27 2011, 9:20 AM

tac wrote:

Please, when it will be ready don't forget about us.

https://bugzilla.wikimedia.org/show_bug.cgi?id=25121

Nikerabbit added a comment.Via ConduitJan 27 2011, 9:28 AM

I hope the new version actually fixes most of the long standing problems that are present in the current version.

Withoutaname added a comment.Via ConduitApr 5 2011, 7:35 PM

Adding tracking bug to the (main) tracker bug 2007.

brion added a comment.Via ConduitJul 1 2011, 12:31 AM
  • Bug 29657 has been marked as a duplicate of this bug. ***
siebrand added a comment.Via ConduitOct 28 2012, 11:56 AM

Closing this tracking bug. Lqt has been "ready", all dependencies have been closed.

If you read this: Please consider giving *any* of the 120 or so open Lqt bugs some love.

He7d3r added a comment.Via ConduitOct 28 2012, 12:02 PM

It is "ready" but not "deployed". Most of the requests to deploy it are still marked as "LATER" not as "FIXED".

Nemo_bis added a comment.Via ConduitOct 28 2012, 8:52 PM

It's not (no longer) ready, which is why it's not further deployed.

Nemo_bis added a comment.Via ConduitNov 14 2012, 12:19 PM

Switching from LATER to the second most relevant resolution for fear of information loss. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/65116

Kozuch added a comment.Via ConduitDec 3 2012, 10:05 AM

Why was the development cancelled? Dont we need better discussion system on wikis to have bigger editor engagement?

Aklapper added a comment.Via ConduitDec 3 2012, 10:18 AM

Jan: Sure we need, and that's worked on. See http://www.mediawiki.org/wiki/Flow

Nemo_bis added a comment.Via ConduitDec 3 2012, 10:35 AM

See [[mw:Thread:Talk:Flow/LiquidThreads?]] for context.
James has written elsewhere that work on Flow (not LQT3) will start in the second half of 2013, if I remember correctly; in the meanwhile we're not seeing any bug fix or improvement to LQT2 by the WMF, only new issues, https://www.mediawiki.org/w/index.php?title=Extension:LiquidThreads&diff=593948&oldid=593256 so it's quite sure that LQT will not be enabled on any more wiki, but some pseudo-replacement will (in a couple years?).

Kozuch added a comment.Via ConduitDec 3 2012, 11:05 AM

Do we really need YEARs to develop a simple discussion system? That seems absurd to me... Flow is only targeted at User:Talk - that is great... so we will again be stuck with unusable discussions at article talk pages. This will never bring better editor engagement...

Aklapper added a comment.Via ConduitDec 3 2012, 11:18 AM

Feel free to contact the corresponding developers or ask on a mailing list. In a bug report categorized as setting up extensions (handled by people with shell access) it's very unlikely that developers of some specific extension will see your questions.

Kozuch awarded a token.Via WebDec 17 2014, 8:08 PM

Add Comment